Bug 1375468 - [abrt] nautilus: nautilus_window_slot_get_allow_stop(): nautilus killed by SIGSEGV
Summary: [abrt] nautilus: nautilus_window_slot_get_allow_stop(): nautilus killed by SI...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:15f4c2e74090462389fde61df0d...
: 1388954 1397828 1406077 1438387 1463143 1486836 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-13 08:33 UTC by Kamil Páral
Modified: 2017-11-09 12:26 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-09 12:26:19 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (82.02 KB, text/plain)
2016-09-13 08:33 UTC, Kamil Páral
no flags Details
File: cgroup (353 bytes, text/plain)
2016-09-13 08:33 UTC, Kamil Páral
no flags Details
File: core_backtrace (40.03 KB, text/plain)
2016-09-13 08:33 UTC, Kamil Páral
no flags Details
File: dso_list (14.98 KB, text/plain)
2016-09-13 08:33 UTC, Kamil Páral
no flags Details
File: environ (1.15 KB, text/plain)
2016-09-13 08:33 UTC, Kamil Páral
no flags Details
File: exploitable (82 bytes, text/plain)
2016-09-13 08:33 UTC, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2016-09-13 08:33 UTC, Kamil Páral
no flags Details
File: maps (72.77 KB, text/plain)
2016-09-13 08:33 UTC, Kamil Páral
no flags Details
File: mountinfo (3.93 KB, text/plain)
2016-09-13 08:33 UTC, Kamil Páral
no flags Details
File: namespaces (102 bytes, text/plain)
2016-09-13 08:33 UTC, Kamil Páral
no flags Details
File: open_fds (3.23 KB, text/plain)
2016-09-13 08:33 UTC, Kamil Páral
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2016-09-13 08:33 UTC, Kamil Páral
no flags Details
File: var_log_messages (443 bytes, text/plain)
2016-09-13 08:33 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2016-09-13 08:33:26 UTC
Description of problem:
I tried to drag and drop a file to a folder. It didn't work (nothing happened), and "new bookmark" got stuck in the side panel. Shortly after nautilus crashed. Running under wayland.

Version-Release number of selected component:
nautilus-3.21.91.1-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: nautilus_window_slot_get_allow_stop
executable:     /usr/bin/nautilus
global_pid:     20385
kernel:         4.8.0-0.rc5.git1.1.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 nautilus_window_slot_get_allow_stop at nautilus-window-slot.c:2915
 #1 nautilus_window_sync_allow_stop at nautilus-window.c:843
 #2 nautilus_window_reset_menus at nautilus-window.c:826
 #3 nautilus_files_view_update_toolbar_menus at nautilus-files-view.c:7730
 #4 on_end_file_changes at nautilus-files-view.c:3827
 #9 process_old_files at nautilus-files-view.c:3937
 #10 display_pending_files at nautilus-files-view.c:3947
 #11 display_pending_callback at nautilus-files-view.c:4032
 #17 gtk_clipboard_wait_for_contents at gtkclipboard.c:1429
 #18 nautilus_clipboard_clear_if_colliding_uris at nautilus-clipboard.c:119

Potential duplicate: bug 1369819

Comment 1 Kamil Páral 2016-09-13 08:33:31 UTC
Created attachment 1200388 [details]
File: backtrace

Comment 2 Kamil Páral 2016-09-13 08:33:32 UTC
Created attachment 1200389 [details]
File: cgroup

Comment 3 Kamil Páral 2016-09-13 08:33:34 UTC
Created attachment 1200390 [details]
File: core_backtrace

Comment 4 Kamil Páral 2016-09-13 08:33:36 UTC
Created attachment 1200391 [details]
File: dso_list

Comment 5 Kamil Páral 2016-09-13 08:33:37 UTC
Created attachment 1200392 [details]
File: environ

Comment 6 Kamil Páral 2016-09-13 08:33:38 UTC
Created attachment 1200393 [details]
File: exploitable

Comment 7 Kamil Páral 2016-09-13 08:33:39 UTC
Created attachment 1200394 [details]
File: limits

Comment 8 Kamil Páral 2016-09-13 08:33:41 UTC
Created attachment 1200395 [details]
File: maps

Comment 9 Kamil Páral 2016-09-13 08:33:43 UTC
Created attachment 1200396 [details]
File: mountinfo

Comment 10 Kamil Páral 2016-09-13 08:33:44 UTC
Created attachment 1200397 [details]
File: namespaces

Comment 11 Kamil Páral 2016-09-13 08:33:46 UTC
Created attachment 1200398 [details]
File: open_fds

Comment 12 Kamil Páral 2016-09-13 08:33:47 UTC
Created attachment 1200399 [details]
File: proc_pid_status

Comment 13 Kamil Páral 2016-09-13 08:33:48 UTC
Created attachment 1200400 [details]
File: var_log_messages

Comment 14 Christian Stadelmann 2016-10-26 14:42:17 UTC
*** Bug 1388954 has been marked as a duplicate of this bug. ***

Comment 15 René Kraneis 2016-11-23 12:35:47 UTC
*** Bug 1397828 has been marked as a duplicate of this bug. ***

Comment 16 Krzysztof Troska 2016-12-06 17:35:56 UTC
Similar problem has been detected:

Trying to move files around while having smplayer with 'always on top' set. At some time when moved file to folder it did not move and after clicking it again nautilus crashed.

Can't reproduce.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: nautilus_window_slot_get_allow_stop
executable:     /usr/bin/nautilus
global_pid:     3077
kernel:         4.8.11-300.fc25.x86_64
package:        nautilus-3.22.1-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 brhahlen 2016-12-19 16:24:59 UTC
*** Bug 1406077 has been marked as a duplicate of this bug. ***

Comment 18 Michael Catanzaro 2017-02-27 19:14:50 UTC
Similar problem has been detected:

Crash when dragging files into a folder

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: nautilus_window_slot_get_allow_stop
executable:     /usr/bin/nautilus
journald_cursor: s=45244fb925ea45daab479b341ea11219;i=146108;b=9da95497c6f74c9889e7ed70a7db4ca5;m=2e63f9dc7;t=54987ce4cd3e1;x=7ab8a5be8d5fef53
kernel:         4.9.11-200.fc25.x86_64
package:        nautilus-3.22.2-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         nautilus killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Michael Catanzaro 2017-02-28 01:55:31 UTC
(In reply to Kamil Páral from comment #0)
> Description of problem:
> I tried to drag and drop a file to a folder. It didn't work (nothing
> happened), and "new bookmark" got stuck in the side panel. Shortly after
> nautilus crashed. Running under wayland.

Yeah, I hit exactly this. It's been happening a lot lately. I had never seen it before until recently.

Comment 20 Christian Stadelmann 2017-03-05 11:04:05 UTC
(In reply to Michael Catanzaro from comment #19)
> (In reply to Kamil Páral from comment #0)
> > Description of problem:
> > I tried to drag and drop a file to a folder. It didn't work (nothing
> > happened), and "new bookmark" got stuck in the side panel. Shortly after
> > nautilus crashed. Running under wayland.
> 
> Yeah, I hit exactly this. It's been happening a lot lately. I had never seen
> it before until recently.

I am seeing this almost every time I am using the drag-and-drop feature in nautilus, ever since I updated to F25 somewhere between alpha and beta.

Please add this to the list of prioritized bugs following the steps on https://fedoraproject.org/wiki/Fedora_Program_Management/Prioritized_bugs_and_issues_-_the_process

Comment 21 Michael Catanzaro 2017-03-05 17:27:55 UTC
Yeah I agree, this one is really annoying.

Comment 22 Matthew Miller 2017-03-22 14:21:49 UTC
Does anyone have a reliable reproducer for this? Christian, does it always happen for you even in a new, clean profile?

Comment 23 Christian Stadelmann 2017-03-22 22:28:37 UTC
I have not seen this bug any more since a few days ago, probably when updating to nautilus-3.22.3-1.fc25.x86_64 or gtk3-3.22.9-1.fc25.x86_64 or gtk3-3.22.10-1.fc25.x86_64. I cannot find a related fix in upstream git repositories though.

Comment 24 Jan Kurik 2017-03-23 16:15:59 UTC
This bug is tracked as Prioritized Bug: https://fedoraproject.org/wiki/Fedora_Program_Management/Prioritized_bugs_and_issues

Comment 25 Modestas 2017-04-03 10:16:20 UTC
*** Bug 1438387 has been marked as a duplicate of this bug. ***

Comment 26 Matthew Miller 2017-04-28 13:22:28 UTC
Modestas, can you replicate this still? Do you have gtk3-3.22.10-1.fc25.x86_64 or newer?

Comment 27 Jan Kurik 2017-05-25 08:50:08 UTC
I would like to ask for a status update. Is there any progress on this bug ?
This bug is on the list of Prioritized bugs https://fedoraproject.org/wiki/Fedora_Program_Management/Prioritized_bugs_and_issues and a fix is considered as important for Fedora users.

Thanks,
Jan

Comment 28 com.redhat.bugzilla.gpor9tgw 2017-06-20 08:47:32 UTC
*** Bug 1463143 has been marked as a duplicate of this bug. ***

Comment 29 com.redhat.bugzilla.gpor9tgw 2017-06-20 08:55:58 UTC
(In reply to Matthew Miller from comment #26)
> Modestas, can you replicate this still? Do you have
> gtk3-3.22.10-1.fc25.x86_64 or newer?

I just had this with gtk3.x86_64 3.22.15-2.fc25 and nautilus.x86_64 3.22.3-1.fc25

Comment 30 Christian Stadelmann 2017-06-26 11:41:58 UTC
The same steps to reproduce trigger a different crasher for me, see bug #1464944 (which happens at close of nautilus after it messed up during drag&drop). Also present for a few GNOME releases and probably related.

Comment 31 Modestas 2017-07-03 16:18:07 UTC
GNOME nautilus 3.22.3

Comment 32 Johannes Postler 2017-08-04 08:28:22 UTC
Similar problem has been detected:

drag and drop of file

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: nautilus_window_slot_get_allow_stop
executable:     /usr/bin/nautilus
global_pid:     5090
kernel:         4.11.12-200.fc25.x86_64
package:        nautilus-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 33 Netzmeister 2017-08-30 15:26:31 UTC
*** Bug 1486836 has been marked as a duplicate of this bug. ***

Comment 34 Matthew Miller 2017-09-27 14:08:48 UTC
Do we have any reproducers for this on F26 or on F27 (beta out next week, knock on wood)?

Comment 35 Jan Kurik 2017-10-03 09:16:40 UTC
Kamil, can you still reproduce this bug with the latest compose (post F27 Beta 1.5) ?

Comment 36 Kamil Páral 2017-10-04 12:26:54 UTC
It's a race condition, I can't reproduce it on will, sorry. I haven't seen it in some time, but I was using X11 lately.

Comment 37 Jan Kurik 2017-11-09 12:26:19 UTC
The bug seems to appear on F25 release only we are going to close it as CURRENTRELEASE: https://meetbot.fedoraproject.org/fedora-meeting/2017-11-08/fedora_prioritized_bugs_and_issues.2017-11-08-15.06.log.html#l-72


Note You need to log in before you can comment on or make changes to this bug.